com.opensymphony.xwork2.security

## Interface NotExcludedAcceptedPatternsChecker

- All Superinterfaces:
    AcceptedPatternsChecker, ExcludedPatternsChecker
  All Known Implementing Classes:
    DefaultNotExcludedAcceptedPatternsChecker

      public interface NotExcludedAcceptedPatternsChecker
      extends ExcludedPatternsChecker, AcceptedPatternsChecker

  Used across different places to check if given string is not excluded and is accepted
  Since:
    6.0.0
  See Also:
    here

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `NotExcludedAcceptedPatternsChecker.IsAllowed`

    - ### Nested classes/interfaces inherited from interface com.opensymphony.xwork2.security.ExcludedPatternsChecker

      `ExcludedPatternsChecker.IsExcluded`

    - ### Nested classes/interfaces inherited from interface com.opensymphony.xwork2.security.AcceptedPatternsChecker

      `AcceptedPatternsChecker.IsAccepted`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `NotExcludedAcceptedPatternsChecker.IsAllowed` | `isAllowed(String value)` Checks if value doesn't match excluded pattern and matches accepted pattern

    - ### Methods inherited from interface com.opensymphony.xwork2.security.ExcludedPatternsChecker

      `getExcludedPatterns, isExcluded, setExcludedPatterns, setExcludedPatterns, setExcludedPatterns`

    - ### Methods inherited from interface com.opensymphony.xwork2.security.AcceptedPatternsChecker

      `getAcceptedPatterns, isAccepted, setAcceptedPatterns, setAcceptedPatterns, setAcceptedPatterns`

- - ### Method Detail

    - #### isAllowed

          NotExcludedAcceptedPatternsChecker.IsAllowed isAllowed(String value)

      Checks if value doesn't match excluded pattern and matches accepted pattern
      Parameters:
        `value` - to check
      Returns:
        object containing result of matched pattern and pattern itself

Copyright © 2000–2024 Apache Software Foundation. All rights reserved.